img {
    border: 0px;
}

/* main form area */

div.starchart-form {
    font-family: Roboto, "Segoe UI", SegoeUI, Segoe, Calibri, "Lucida Sans", "Liberation Sans", Arimo, Helvetica, Arial, sans-serif;
}

a.starchart-form {
    color: 099;
}

div.starchart-form-table {
    /* this is for the tables that appear in fancybox areas */
    font-family: Roboto, "Segoe UI", SegoeUI, Segoe, Calibri, "Lucida Sans", "Liberation Sans", Arimo, Helvetica, Arial, sans-serif;
}

input,
textarea,
keygen,
select,
button {
    font-size: 9pt;
    font-family: Roboto, "Segoe UI", SegoeUI, Segoe, Calibri, "Lucida Sans", "Liberation Sans", Arimo, Helvetica, Arial, sans-serif;
}


/* main control area (chart types, source+target, etc.) */

div.control-bar {
    border: none;
    line-height: 24px;
    padding: 1px;
    background-color: #000;
    opacity: 1;
    color: #999;
    font-size: 9pt;
    vertical-align: middle;
    -moz-border-radius: 6px;
    -webkit-border-radius: 6px;
    border-radius: 6px;
    position: relative;
}

div.control-bar a {
    color: #999;
    vertical-align: middle;
}

div.control-bar a:hover {
    color: #fff;
    vertical-align: middle;
}

div.control-bar span.clickable {
    vertical-align: middle;
    color: #999;
}

div.control-bar span.clickable:hover {
    vertical-align: middle;
    color: #FFF;
}


div.control-bar-right {
    vertical-align: top;
    position: absolute;
    line-height: 24px;
    right: 10px;
    top: 0;
}


table#chart-types {
    border: none;
}


/* navigation widget */

div#starchart-nav {
    background: rgba(48, 48, 48, 0.9);
    color: #fff;
    border-width: 1px;
    border-color: #ccc;
    position: relative;
    width: 65px;
    height: 65px;
    top: 20px;
    left: 5px;
    z-index: 35;
    -moz-border-radius: 6px;
    -webkit-border-radius: 6px;
    border-radius: 6px;
}


div#starchart-nav span img {
    opacity: 0.67;
}

div#starchart-nav span img:hover {
    opacity: 1;
}

div#starchart-nav span#nav-left {
    position: absolute;
    top: 25px;
    left: 8px;
    z-index: 25;
}

div#starchart-nav span#nav-right {
    position: absolute;
    top: 25px;
    left: 45px;
    z-index: 25;
}

div#starchart-nav span#nav-top {
    position: absolute;
    top: 5px;
    left: 25px;
    z-index: 25;
}

div#starchart-nav span#nav-topleft {
    position: absolute;
    top: 5px;
    left: 5px;
    z-index: 25;
}

div#starchart-nav span#nav-topright {
    position: absolute;
    top: 5px;
    left: 45px;
    z-index: 25;
}

div#starchart-nav span#nav-bottomleft {
    position: absolute;
    top: 42px;
    left: 5px;
    z-index: 25;
}

div#starchart-nav span#nav-bottomright {
    position: absolute;
    top: 42px;
    left: 45px;
    z-index: 25;
}

div#starchart-nav span#nav-bottom {
    position: absolute;
    top: 42px;
    left: 25px;
    z-index: 25;
}

div#starchart-nav span#nav-center {
    position: absolute;
    top: 25px;
    left: 25px;
    z-index: 25;
}

/* main chart area container.  Includes canvases and HUD (heads-up display) elements */

div#starchart-container {
    position: absolute;
    font-family: Roboto, "Segoe UI", SegoeUI, Segoe, Calibri, "Lucida Sans", "Liberation Sans", Arimo, Helvetica, Arial Verdana, sans-serif;
}

/* canvases */

#dlcanvas {
    /* "download" canvas -- sort of a scratch space for saving stuff.  Never needs to be seen directly */
    visibility: hidden;
    position: absolute;
    background-color: black;
    z-index: 1;
}

#starcanvas {
    /* star symbols */
    position: absolute;
    background-color: #000312;
    z-index: 10;
}

#dsocanvas {
    /* deep-sky object symbols */
    position: absolute;
    z-index: 11;
}

#labelcanvas {
    /* chart labels, lines, etc. */
    position: absolute;
    z-index: 12;
}

#eventcanvas {
    /* attach mouseover/click/etc events to this one */
    position: absolute;
    z-index: 13;
}

.chart-preset-type {
    display: none;
}

/* "Loading..." messages */
div#starchart-load {
    visibility: hidden;
    position: absolute;
    font-size: 24px;
    z-index: 15;
    color: white;
    width: 300;
    height: 100;
}

/* Star/DSO details head-up display (HUD) */

div#hud {
    position: absolute;
    font-size: 12px;
    z-index: 30;
    color: cyan;
    width: 220;
    height: 150;
    padding: 5px;
    opacity: 1.0;
    visibility: hidden;
}

div#hud-header {
    z-index: 32;
    background: rgba(64, 64, 64, 0.75);
    color: #fff;
    opacity: 1.0;
    width: 220px;
    position: relative;
    top: 0;
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
    border-radius: 4px;
}

div#hud-header div#hud-title {
    z-index: 35;
    position: relative;
    width: 160px;
    top: 0px;
    left: 5px;
}

div#hud-header div#hud-icons {
    z-index: 35;
    position: absolute;
    width: 80px;
    top: 2px;
    left: 140px;
}

div#hud-header span {
    z-index: 35;
}

/* Head-up image display */

div#hud-image {
    width: 360;
    height: 380;
    position: absolute;
    font-size: 12px;
    z-index: 40;
    color: cyan;
    padding: 5px;
    opacity: 1.0;
    visibility: hidden;
    border-style: solid;
    background-color: #161616;
    opacity: 1;
    border-width: 1px;
    border-color: #222;
    -moz-border-radius: 12px;
    -webkit-border-radius: 12px;
    border-radius: 12px;
}

/* target symbols (mouseover) */

div#hud-target-image {
    width: 25;
    height: 25;
    position: absolute;
    z-index: 40;
    opacity: 0.75;
    background: url('/app/core/img/reticle.png');
}

div#hud-target-name {
    height: 25;
    width: 180;
    position: absolute;
    z-index: 40;
    opacity: 0.75;
    font-size: 12px;
    color: #ff0;
}


/* star/DSO title or header */

.stardatahead {
    font-size: 14px;
    font-weight: bold;
    color: #fff;
}